*"表題 編集記述子の設定数の参照 GTOOL3(GHQENM)
*
*"履歴 90/09/06 沼口  敦
*
*
*********************************************************************
*"         << 編集記述子の設定数の参照 >>
*********************************************************************
      SUBROUTINE GHQENM
     I         ( HHEAD ,
     O           IENUM )
*
      CHARACTER  HHEAD ( * )*(*)         !" ヘッダー
      INTEGER    IENUM                   !" 設定済の編集記述子の数
*
#ifdef SYS_IBMS
      INCLUDE    (GZSIZE)                !" NCC, NDC, NED
#else
#include         "gzsize.F"              !" NCC, NDC, NED
#endif
      CHARACTER  HEDIT *(NCC)            !" 編集略記号
      CHARACTER  HP    *8                !" ヘッダーの欄指定
*
      HP = 'EDIT'
      DO 1100 II = 1, NED
         WRITE ( HP(5:5),'(I1)' ) II
         CALL GHCGET( HHEAD , HP  , HEDIT )
         IF ( HEDIT .EQ. ' ' ) THEN
            IENUM = II-1
            RETURN
         ENDIF
 1100 CONTINUE
      IENUM = NED
*
      RETURN
      END
